Win Modem

masibego@ubuntu-laptop:~$ sudo apt-get install sl-modem-daemon
masibego@ubuntu-laptop:~$ aplay -l | grep Modem
card 0: Intel [HDA Intel], device 6: Si3054 Modem [Si3054 Modem]

Notice the device number of Modem --> 6

root@ubuntu-laptop:/home/masibego# echo 'SLMODEMD_DEVICE=hw:0,6' >> /etc/default/sl-modem-daemon
root@ubuntu-laptop:/home/masibego# /etc/init.d/sl-modem-daemon restart

Gstreamer thinks red is blue

masibego@ubuntu-laptop:~$ gstreamer-properties

A window will come up !!
Move to the 'video' tab, and set 'plugin' as ' .... (no xv)'

Starting squid

Seen this messages for the 1st time starting squid ?
FATAL: Could not determine fully qualified hostname. Please set 'visible_hostname'

root@ubuntu-laptop:~# echo visible_hostname ubuntu-laptop >> /etc/squid/squid.conf

Sound not load enough

masibego@ubuntu-laptop:~$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

masibego@ubuntu-laptop:~$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC861 Analog [ALC861 Analog]
Subdevices: 0/1
Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 6: Si3054 Modem [Si3054 Modem]
Subdevices: 1/1
Subdevice #0: subdevice #0

root@ubuntu-laptop:~# echo "options snd-hda-intel model=3stack" >> /etc/modprobe.d/alsa-base
root@ubuntu-laptop:~# rmmod snd-hda-intel
root@ubuntu-laptop:~# modprobe snd-hda-intel

Apache2 UserDir Module

masibego@ubuntu-laptop:/etc/apache2/mods-enabled$ for i in conf load
> do sudo ln -s ../mods-available/userdir.${i} userdir.${i}; done

masibego@ubuntu-laptop:/etc/apache2/mods-enabled$ sudo /etc/init.d/apache2 restart

Restarting Apache2

Does this message bothering you while restarting the apache2 ?
apache2: Could not reliably determine the server's fully qualified domain name, using for ServerName

Add this line into /etc/apache2/apache2.conf :
ServerName localhost

Authenticated package

Your apt-get come out with these warning ?
WARNING: The following packages cannot be authenticated!
Install these packages without verification [y/N]?

Try to find another mirror, then re-run the apt-get update.
Or you can just answer it with an 'y' :D

Add new apt mirror

masibego@ubuntu-laptop:~/script$ cat >
#! /usr/bin/env sh

if [ ! -d /etc/apt ]; then
mkdir -p /etc/apt;

if [ ! -x /etc/apt/sources.list ]; then
touch /etc/apt/sources.list;

for i in ' ' '-updates ' '-backports ' '-security '; do
echo deb ${1} ${2}${i} main restricted universe multiverse >> /etc/apt/sources.list;

masibego@ubuntu-laptop:~/script$ sudo ./ feisty